Index: trunk/info/info/alkis/alkishaus.php
===================================================================
--- trunk/info/info/alkis/alkishaus.php	(revision 315)
+++ trunk/info/info/alkis/alkishaus.php	(revision 330)
@@ -6,5 +6,7 @@
 	2011-11-30 NEU! Variante von alkisgebaeudenw: Aufruf fÃŒr EIN Haus, nicht fÃŒr ein FS
 	2011-01-31 ax_gebaeude.weiteregebaeudefunktion ist jetzt Array
-	2013-04-08  deprecated "import_request_variables" ersetzt
+	2013-04-08 deprecated "import_request_variables" ersetzt
+	2014-09-03 PostNAS 0.8: ohne Tab. "alkis_beziehungen", mehr "endet IS NULL", Spalten varchar statt integer
+	2014-09-10 Bei Relationen den Timestamp abschneiden
 
 	ToDo:
@@ -53,14 +55,12 @@
 $sqlg.="h.bauweise_beschreibung, u.bezeichner AS bfunk, z.bezeichner AS bzustand, ";
 // "w.bezeichner AS bweitfunk, ";
-$sqlg.="d.bezeichner AS bdach, round(area(g.wkb_geometry)::numeric,2) AS gebflae ";
-$sqlg.="FROM ax_gebaeude g ";
-
+$sqlg.="d.bezeichner AS bdach, round(area(g.wkb_geometry)::numeric,2) AS gebflae FROM ax_gebaeude g ";
 // Entschluesseln
-$sqlg.="LEFT JOIN ax_gebaeude_bauweise h ON g.bauweise = h.bauweise_id ";
-$sqlg.="LEFT JOIN ax_gebaeude_funktion u ON g.gebaeudefunktion = u.wert ";
-$sqlg.="LEFT JOIN ax_gebaeude_zustand z ON g.zustand = z.wert ";
-$sqlg.="LEFT JOIN ax_gebaeude_dachform d ON g.dachform = d.wert ";
-
-$sqlg.="WHERE g.gml_id= $1 "; // ID des Hauses
+$sqlg.="LEFT JOIN ax_gebaeude_bauweise h ON g.bauweise=h.bauweise_id ";
+$sqlg.="LEFT JOIN ax_gebaeude_funktion u ON g.gebaeudefunktion=u.wert ";
+$sqlg.="LEFT JOIN ax_gebaeude_zustand z ON g.zustand=z.wert ";
+$sqlg.="LEFT JOIN ax_gebaeude_dachform d ON g.dachform=d.wert ";
+
+$sqlg.="WHERE g.gml_id= $1 AND g.endet IS NULL ;";
 
 $v = array($gmlid);
@@ -73,5 +73,5 @@
 
 // Balken
-echo "<p class='geb'>ALKIS Haus ".$gmlid."&nbsp;</p>\n"; // +++ Kennzeichen = ?
+echo "<p class='geb'>ALKIS Haus ".$gmlid."&nbsp;</p>\n"; // ++ Kennzeichen?
 
 echo "\n<h2><img src='ico/Haus.ico' width='16' height='16' alt=''> Haus (Geb&auml;ude)</h2>\n";
@@ -79,5 +79,5 @@
 // Kennzeichen in Rahmen 
 // - Welches Kennzeichen zum Haus ?
-if ($idanzeige) {linkgml($gkz, $gmlid, "Haus"); }
+if ($idanzeige) {linkgml($gkz, $gmlid, "Haus", "ax_gebaeude"); }
 echo "\n<hr>";
 // Umschalter: auch leere Felder ausgeben?
@@ -90,5 +90,5 @@
 echo "</a></p>";
 
-while($rowg = pg_fetch_array($resg)) { // Als Schleife, kann aber nur EIN Haus sein.
+while($rowg = pg_fetch_array($resg)) { // Schleife, kann aber nur EIN Haus sein.
 	$gebnr++;
 	echo "\n<table class='geb'>";
@@ -130,18 +130,18 @@
 	// 0 bis N Lagebezeichnungen mit Haus- oder Pseudo-Nummer
 	// HAUPTgebÃ€ude
-	$sqll ="SELECT 'm' AS ltyp, v.beziehung_zu, s.lage, s.bezeichnung, l.hausnummer, '' AS laufendenummer ";
-	$sqll.="FROM alkis_beziehungen v "; 
-	$sqll.="JOIN ax_lagebezeichnungmithausnummer l ON v.beziehung_zu=l.gml_id ";
+	$sqll ="SELECT 'm' AS ltyp, l.gml_id AS gmllag, s.lage, s.bezeichnung, l.hausnummer, '' AS laufendenummer ";
+	$sqll.="FROM ax_gebaeude g ";
+	$sqll.="JOIN ax_lagebezeichnungmithausnummer l ON substring(l.gml_id,1,16)=ANY(g.zeigtauf) ";
 	$sqll.="JOIN ax_lagebezeichnungkatalogeintrag s ON l.kreis=s.kreis AND l.gemeinde=s.gemeinde AND l.lage=s.lage ";
-	$sqll.="WHERE v.beziehungsart = 'zeigtAuf' AND v.beziehung_von = $1 ";
+	$sqll.="WHERE g.gml_id= $1 AND g.endet IS NULL AND l.endet IS NULL ";
 	$sqll.="UNION ";
 	// oder NEBENgebÃ€ude
-	$sqll.="SELECT 'p' AS ltyp, v.beziehung_zu, s.lage, s.bezeichnung, l.pseudonummer AS hausnummer, l.laufendenummer ";
-	$sqll.="FROM alkis_beziehungen v "; 
-	$sqll.="JOIN ax_lagebezeichnungmitpseudonummer l ON v.beziehung_zu=l.gml_id ";
+	$sqll.="SELECT 'p' AS ltyp, l.gml_id AS gmllag, s.lage, s.bezeichnung, l.pseudonummer AS hausnummer, l.laufendenummer ";
+	$sqll.="FROM ax_gebaeude g "; 
+	$sqll.="JOIN ax_lagebezeichnungmitpseudonummer l ON substring(l.gml_id,1,16)=g.hat ";
 	$sqll.="JOIN ax_lagebezeichnungkatalogeintrag s ON l.kreis=s.kreis AND l.gemeinde=s.gemeinde AND l.lage=s.lage ";
-	$sqll.="WHERE v.beziehungsart = 'hat' AND v.beziehung_von = $1 "; // ID des Hauses"
-
-	$sqll.="ORDER BY bezeichnung, hausnummer ";
+	$sqll.="WHERE g.gml_id= $1 AND g.endet IS NULL AND l.endet IS NULL ";
+
+	$sqll.="ORDER BY bezeichnung, hausnummer ;";
 
 	$v = array($gmlid);
@@ -160,5 +160,5 @@
 		$hsnr=$rowl["hausnummer"];
 		$hlfd=$rowl["laufendenummer"];
-		$gmllag=$rowl["beziehung_zu"];
+		$gmllag=$rowl["gmllag"];
 
 			if ($zhsnr == 1) {
@@ -174,5 +174,5 @@
 				if ($ltyp == "p") { echo ", lfd.Nr ".$hlfd;}
 			echo "</a>";
-			if ($idanzeige) {linkgml($gkz, $gmllag, "Lage"); }
+			if ($idanzeige) {linkgml($gkz, $gmllag, "Lage", ""); }
 			echo "<br>";
 	} // Ende Loop Lagezeilen m.H.
